Loading...
Searching...
No Matches
casacore::DataConversion Class Referenceabstract
casa package (libcasa_casa) » OS_module

More...

`#include <DataConversion.h>`

## Public Member Functions

| DataConversion ()
| Construct the object.
virtual | ~DataConversion ()
virtual size_t | toLocal (char &to, const void *from) const =0
| Convert one value from foreign format to local format.
virtual size_t | toLocal (unsigned char &to, const void *from) const =0
virtual size_t | toLocal (short &to, const void *from) const =0
virtual size_t | toLocal (unsigned short &to, const void *from) const =0
virtual size_t | toLocal (int &to, const void *from) const =0
virtual size_t | toLocal (unsigned int &to, const void *from) const =0
virtual size_t | toLocal (Int64 &to, const void *from) const =0
virtual size_t | toLocal (uInt64 &to, const void *from) const =0
virtual size_t | toLocal (float &to, const void *from) const =0
virtual size_t | toLocal (double &to, const void *from) const =0
virtual size_t | toLocal (char *to, const void *from, size_t nr) const =0
| Convert nr values from foreign format to local format.
virtual size_t | toLocal (unsigned char *to, const void *from, size_t nr) const =0
virtual size_t | toLocal (short *to, const void *from, size_t nr) const =0
virtual size_t | toLocal (unsigned short *to, const void *from, size_t nr) const =0
virtual size_t | toLocal (int *to, const void *from, size_t nr) const =0
virtual size_t | toLocal (unsigned int *to, const void *from, size_t nr) const =0
virtual size_t | toLocal (Int64 *to, const void *from, size_t nr) const =0
virtual size_t | toLocal (uInt64 *to, const void *from, size_t nr) const =0
virtual size_t | toLocal (float *to, const void *from, size_t nr) const =0
virtual size_t | toLocal (double *to, const void *from, size_t nr) const =0
virtual size_t | fromLocal (void *to, char from) const =0
| Convert one value from local format to foreign format.
virtual size_t | fromLocal (void *to, unsigned char from) const =0
virtual size_t | fromLocal (void *to, short from) const =0
virtual size_t | fromLocal (void *to, unsigned short from) const =0
virtual size_t | fromLocal (void *to, int from) const =0
virtual size_t | fromLocal (void *to, unsigned int from) const =0
virtual size_t | fromLocal (void *to, Int64 from) const =0
virtual size_t | fromLocal (void *to, uInt64 from) const =0
virtual size_t | fromLocal (void *to, float from) const =0
virtual size_t | fromLocal (void *to, double from) const =0
virtual size_t | fromLocal (void *to, const char *from, size_t nr) const =0
| Convert nr values from local format to foreign format.
virtual size_t | fromLocal (void *to, const unsigned char *from, size_t nr) const =0
virtual size_t | fromLocal (void *to, const short *from, size_t nr) const =0
virtual size_t | fromLocal (void *to, const unsigned short *from, size_t nr) const =0
virtual size_t | fromLocal (void *to, const int *from, size_t nr) const =0
virtual size_t | fromLocal (void *to, const unsigned int *from, size_t nr) const =0
virtual size_t | fromLocal (void *to, const Int64 *from, size_t nr) const =0
virtual size_t | fromLocal (void *to, const uInt64 *from, size_t nr) const =0
virtual size_t | fromLocal (void *to, const float *from, size_t nr) const =0
virtual size_t | fromLocal (void *to, const double *from, size_t nr) const =0
virtual Bool | canCopy (const char *) const =0
| Determine if the data for a data type can be simply copied, thus if no conversion is needed.
virtual Bool | canCopy (const unsigned char *) const =0
virtual Bool | canCopy (const short *) const =0
virtual Bool | canCopy (const unsigned short *) const =0
virtual Bool | canCopy (const int *) const =0
virtual Bool | canCopy (const unsigned int *) const =0
virtual Bool | canCopy (const Int64 *) const =0
virtual Bool | canCopy (const uInt64 *) const =0
virtual Bool | canCopy (const float *) const =0
virtual Bool | canCopy (const double *) const =0
virtual unsigned int | externalSize (const char *) const =0
| Get the external size of the data type.
virtual unsigned int | externalSize (const unsigned char *) const =0
virtual unsigned int | externalSize (const short *) const =0
virtual unsigned int | externalSize (const unsigned short *) const =0
virtual unsigned int | externalSize (const int *) const =0
virtual unsigned int | externalSize (const unsigned int *) const =0
virtual unsigned int | externalSize (const Int64 *) const =0
virtual unsigned int | externalSize (const uInt64 *) const =0
virtual unsigned int | externalSize (const float *) const =0
virtual unsigned int | externalSize (const double *) const =0

## Detailed Description

Abstract base class with functions to convert any format

### Intended use:

Public interface

### Review Status

Reviewed By:
  Friso Olnon
Date Reviewed:
  1996/11/06
Test programs:
  tDataConversion

### Synopsis

This abstract base class contains pure virtual functions to convert from any foreign data format to local format and vice-versa. Classes derived from it implement the functions for a specific foreign format (e.g.

CanonicalDataConversion , VAXDataConversion, IBMDataConversion). RawDataConversion).

### Example

// Construct the correct conversion object.
DataConversion* conv = new IBMDataConversion();
// Say that you read a block of 256 floats (in IBM-format).
char buffer[1024];
read (fd, buffer, 1024);
// Convert the float to local format.
float values[256];
conv->toLocal (values, buffer, 256);
casacore::DataConversion::DataConversion
DataConversion()
Construct the object.
Definition DataConversion.h:225
casacore::DataConversion::toLocal
virtual size_t toLocal(char &to, const void *from) const =0
Convert one value from foreign format to local format.
casacore::IBMDataConversion
Definition IBMDataConversion.h:68
casacore::read
virtual int read()
The read()' and write()' functions control reading and writing data from the external FITS I/O medium...

### Motivation

The abstract base class allows one to construct the correct conversion object at the beginning. Thereafter this base class can be used and polymorphism takes care of picking the correct functions.

### To Do

- Support data type long double.

Definition at line 80 of file DataConversion.h.

## Constructor & Destructor Documentation

## DataConversion()

casacore::DataConversion::DataConversion | ( |  | ) |

inline

Construct the object.

Definition at line 225 of file DataConversion.h.

## ~DataConversion()

virtual casacore::DataConversion::~DataConversion | ( |  | ) |

virtual

## Member Function Documentation

## canCopy() [1/10]

virtual Bool casacore::DataConversion::canCopy | ( | const char * |  | ) | const

pure virtual

Determine if the data for a data type can be simply copied, thus if no conversion is needed.

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## canCopy() [2/10]

virtual Bool casacore::DataConversion::canCopy | ( | const double * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## canCopy() [3/10]

virtual Bool casacore::DataConversion::canCopy | ( | const float * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## canCopy() [4/10]

virtual Bool casacore::DataConversion::canCopy | ( | const int * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## canCopy() [5/10]

virtual Bool casacore::DataConversion::canCopy | ( | const Int64 * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## canCopy() [6/10]

virtual Bool casacore::DataConversion::canCopy | ( | const short * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## canCopy() [7/10]

virtual Bool casacore::DataConversion::canCopy | ( | const uInt64 * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## canCopy() [8/10]

virtual Bool casacore::DataConversion::canCopy | ( | const unsigned char * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## canCopy() [9/10]

virtual Bool casacore::DataConversion::canCopy | ( | const unsigned int * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## canCopy() [10/10]

virtual Bool casacore::DataConversion::canCopy | ( | const unsigned short * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## externalSize() [1/10]

virtual unsigned int casacore::DataConversion::externalSize | ( | const char * |  | ) | const

pure virtual

Get the external size of the data type.

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## externalSize() [2/10]

virtual unsigned int casacore::DataConversion::externalSize | ( | const double * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## externalSize() [3/10]

virtual unsigned int casacore::DataConversion::externalSize | ( | const float * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## externalSize() [4/10]

virtual unsigned int casacore::DataConversion::externalSize | ( | const int * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## externalSize() [5/10]

virtual unsigned int casacore::DataConversion::externalSize | ( | const Int64 * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## externalSize() [6/10]

virtual unsigned int casacore::DataConversion::externalSize | ( | const short * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## externalSize() [7/10]

virtual unsigned int casacore::DataConversion::externalSize | ( | const uInt64 * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## externalSize() [8/10]

virtual unsigned int casacore::DataConversion::externalSize | ( | const unsigned char * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## externalSize() [9/10]

virtual unsigned int casacore::DataConversion::externalSize | ( | const unsigned int * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## externalSize() [10/10]

virtual unsigned int casacore::DataConversion::externalSize | ( | const unsigned short * |  | ) | const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [1/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | char | from ) const

pure virtual

Convert one value from local format to foreign format.

The from and to buffer should not overlap.
Note: The char version handles characters (thus may involve conversion ASCII to EBCDIC), while the unsigned chars are simply bytes;

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [2/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | const char * | from,
|  | size_t | nr ) const

pure virtual

Convert nr values from local format to foreign format.

The from and to buffer should not overlap.
Note: The char version handles characters (thus may involve conversion ASCII to EBCDIC), while the unsigned chars are simply bytes;

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [3/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | const double * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [4/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | const float * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [5/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | const int * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [6/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | const Int64 * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [7/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | const short * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [8/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | const uInt64 * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [9/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | const unsigned char * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [10/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | const unsigned int * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [11/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | const unsigned short * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [12/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | double | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [13/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | float | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [14/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | int | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [15/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | Int64 | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [16/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | short | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [17/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | uInt64 | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [18/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | unsigned char | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [19/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | unsigned int | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## fromLocal() [20/20]

virtual size_t casacore::DataConversion::fromLocal | ( | void * | to,
|  | unsigned short | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [1/20]

virtual size_t casacore::DataConversion::toLocal | ( | char & | to,
|  | const void * | from ) const

pure virtual

Convert one value from foreign format to local format.

The from and to buffer should not overlap.
Note: The char version handles characters (thus may involve conversion EBCDIC to ASCII), while the unsigned chars are simply bytes;

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [2/20]

virtual size_t casacore::DataConversion::toLocal | ( | char * | to,
|  | const void * | from,
|  | size_t | nr ) const

pure virtual

Convert nr values from foreign format to local format.

The from and to buffer should not overlap.
Note: The char version handles characters (thus may involve conversion EBCDIC to ASCII), while the unsigned chars are simply bytes;

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [3/20]

virtual size_t casacore::DataConversion::toLocal | ( | double & | to,
|  | const void * | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [4/20]

virtual size_t casacore::DataConversion::toLocal | ( | double * | to,
|  | const void * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [5/20]

virtual size_t casacore::DataConversion::toLocal | ( | float & | to,
|  | const void * | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [6/20]

virtual size_t casacore::DataConversion::toLocal | ( | float * | to,
|  | const void * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [7/20]

virtual size_t casacore::DataConversion::toLocal | ( | int & | to,
|  | const void * | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [8/20]

virtual size_t casacore::DataConversion::toLocal | ( | int * | to,
|  | const void * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [9/20]

virtual size_t casacore::DataConversion::toLocal | ( | Int64 & | to,
|  | const void * | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [10/20]

virtual size_t casacore::DataConversion::toLocal | ( | Int64 * | to,
|  | const void * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [11/20]

virtual size_t casacore::DataConversion::toLocal | ( | short & | to,
|  | const void * | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [12/20]

virtual size_t casacore::DataConversion::toLocal | ( | short * | to,
|  | const void * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [13/20]

virtual size_t casacore::DataConversion::toLocal | ( | uInt64 & | to,
|  | const void * | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [14/20]

virtual size_t casacore::DataConversion::toLocal | ( | uInt64 * | to,
|  | const void * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [15/20]

virtual size_t casacore::DataConversion::toLocal | ( | unsigned char & | to,
|  | const void * | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [16/20]

virtual size_t casacore::DataConversion::toLocal | ( | unsigned char * | to,
|  | const void * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [17/20]

virtual size_t casacore::DataConversion::toLocal | ( | unsigned int & | to,
|  | const void * | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [18/20]

virtual size_t casacore::DataConversion::toLocal | ( | unsigned int * | to,
|  | const void * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [19/20]

virtual size_t casacore::DataConversion::toLocal | ( | unsigned short & | to,
|  | const void * | from ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

## toLocal() [20/20]

virtual size_t casacore::DataConversion::toLocal | ( | unsigned short * | to,
|  | const void * | from,
|  | size_t | nr ) const

pure virtual

Implemented in casacore::CanonicalDataConversion, casacore::IBMDataConversion, casacore::LECanonicalDataConversion, casacore::ModcompDataConversion, casacore::RawDataConversion, and casacore::VAXDataConversion.

The documentation for this class was generated from the following file:

- casa/OS/DataConversion.h